summaryrefslogtreecommitdiffhomepage
path: root/fuzzers_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fuzzers_test.sh')
-rwxr-xr-xfuzzers_test.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/fuzzers_test.sh b/fuzzers_test.sh
new file mode 100755
index 0000000..dab4888
--- /dev/null
+++ b/fuzzers_test.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# runs fuzz corpus with standalone fuzzers
+
+result=0
+
+test -d fuzzcorpus && hg --repository fuzzcorpus/ pull || hg clone https://hg.ucc.asn.au/dropbear-fuzzcorpus fuzzcorpus || exit 1
+for f in `make list-fuzz-targets`; do
+ ./$f fuzzcorpus/$f/* || result=1
+done
+
+exit $result